/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Dao;


import LoginDb.DbHandler;
import java.sql.CallableStatement;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;

/**
 *
 * @author 1242938
 */
public class LoanPrincipalAdjustmentDao {

    public String loanPrinAdjProc(String pacsId, String accNo, String bglAccNo, String newPrincipal, String tellerId, String narration) {
        Connection con = null;
        CallableStatement proc = null;
        String res = null;


        try {
            con = DbHandler.getDBConnection();
            proc = con.prepareCall("{ call operations2.LOAN_PRIN_UPDATE(?,?,?,?,?,?,?) }");

            proc.setString(1, pacsId);
            proc.setString(2, accNo);
            proc.setString(3, bglAccNo);
            proc.setString(4, newPrincipal);
            proc.setString(5, tellerId);
            proc.setString(6, narration);
            proc.registerOutParameter(7, OracleTypes.VARCHAR);


            proc.executeUpdate();

           // res = proc.getString(7);//error message from dds procedure

        } catch (Exception e) {
           // e.printStackTrace();
           // System.out.println("Exception occured  in loanPrinAdjProc for user Id :" + tellerId);
           System.out.println("Error occurred during processing."); 
           res= "Error occured. Please try again";
        } finally {
            try {
                if (con != null) {
                    con.close();
                }
            } catch (Exception e) {
               // e.printStackTrace();
               System.out.println("Error occurred during connection close.");
            }
        }

        return res;
    }

    
}
